Bug 108384 - Mutt starts Mozilla to display html mail
Mutt starts Mozilla to display html mail
Product: Red Hat Linux
Classification: Retired
Component: mutt (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-10-28 16:25 EST by Eric Seppanen
Modified: 2014-03-16 22:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-26 17:15:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Seppanen 2003-10-28 16:25:19 EST
Description of problem:

When using mutt, viewing an html mail tries to open Mozilla to view it.  This is
very bad when using mutt over a low-speed ssh link.  I find it completely absurd
that a text-based mail editor would attempt to do such a thing.  Had I wanted
this I would have used Mozilla's mail editor.

As an added irritation, when using mozilla in this way any html spam I open
accidentally might run javascript, read cookies, or load images (and web bugs).
 So I could argue that using a web browser in this fashion is dangerous,
confirms to spammers that my email address is valid, and, if paired with a
malicious webpage that exploits a browser hole, could compromise my account.

I understand that Mutt is using mailcap to choose a viewer for mime types it
can't display, and mailcap is calling htmlview, which is starting Mozilla.  I
can see that mailcap is set up to use X software to display lots of things
(images, html, postscript...).  What's not at all clear to me is where I should
make changes if I don't want this behavior.  Should I reconfigure mutt, mailcap,
or htmlview?

I can change mailcap to use lynx instead but I'm not sure if this breaks any X
software that uses mailcap.  htmlview is, as far as I can tell, undocumented, so
I'm not sure if there's any hope there.  I'm not sure if I can get fine control
within Muttrc/.muttrc over this behavior.

I'd appreciate any advice on the correct way to fix this.

Version-Release number of selected component (if applicable):

Comment 1 Eric Seppanen 2003-10-28 17:11:17 EST
Note also that using a browser to display html mail also effectively prevents
replying to mail while quoting the original message.

   lynx -force_html -dump '%s'
to convert to text allows me to reply to the original quoted message from within
Comment 2 Bill Nottingham 2005-01-26 17:15:56 EST
As of now, I don't think we'll change this; unfortunately, the
permutations of various text-mode web clients means that htmlview is
really the only safe choice for a mailcap app.

Note You need to log in before you can comment on or make changes to this bug.